> For the complete documentation index, see [llms.txt](https://apidocs.webcom.mobi/ru/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.webcom.mobi/ru/poluchenie-spiska-baz.md).

# Получение списка баз

Спецификация для получения списка баз: XML

{% tabs %}
{% tab title="XML" %}
Метод отправки **`POST`**

Кодировка XML-документов: **`UTF-8`**

Обязательный заголовок: **`Content-type: text/xml; charset=utf-8;`**

Адрес для запроса: **`https://my3.webcom.mobi/xml/list_bases.php`**

### Параметры запроса на отправку сообщения <a href="#parametry-zaprosa-na-otpravku-soobsheniya-2" id="parametry-zaprosa-na-otpravku-soobsheniya-2"></a>

<table><thead><tr><th width="158">Параметр</th><th width="110.66666666666666">Тип</th><th>Описание</th></tr></thead><tbody><tr><td><p>request</p><p><mark style="color:blue;">.security</mark></p><p><mark style="color:blue;">.login</mark></p><p><mark style="color:orange;">[value]</mark>*</p></td><td>String</td><td>Ваш логин в системе</td></tr><tr><td><p>request</p><p><mark style="color:blue;">.security</mark></p><p><mark style="color:blue;">.password</mark></p><p><mark style="color:orange;">[value]</mark>*</p></td><td>String</td><td>Ваш пароль в системе</td></tr><tr><td><p>request</p><p><mark style="color:blue;">.security</mark></p><p><mark style="color:blue;">.token</mark></p><p><mark style="color:orange;">[value]</mark>*</p></td><td>String</td><td>Вместо логина и пароля можно использовать секретный ключ. Для его получения обратитесь к менеджеру</td></tr></tbody></table>

\*- обязательный параметр

### В случае получения правильного XML-документа

```xml
<?xml version="1.0" encoding="utf-8" ?>
<response>
     <base id_base="1234" name_base="База главного офиса" time_birth="12:48" local_time_birth="yes" day_before="1" originator_birth="fitnes" on_birth="yes">Поздравляем!</base>
     <base id_base="1235" name_base="База Московского офиса" time_birth="12:48" local_time_birth="yes" day_before="1" originator_birth="fitnes" on_birth="yes">Поздравляем!</base>
     …
</response>
```

<table><thead><tr><th width="190.66666666666666">Параметр</th><th width="124">Тип</th><th>Описание</th></tr></thead><tbody><tr><td><p>response</p><p><mark style="color:blue;">.base</mark></p></td><td>String</td><td>Текст поздравления</td></tr><tr><td><p>response</p><p><mark style="color:blue;">.base</mark></p><p><mark style="color:green;">[id_base]</mark></p></td><td>Int</td><td>Уникальный номер базы в системе</td></tr><tr><td><p>response</p><p><mark style="color:blue;">.base</mark></p><p><mark style="color:green;">[name_base]</mark></p></td><td>String</td><td>Название базы</td></tr><tr><td><p>response</p><p><mark style="color:blue;">.base</mark></p><p><mark style="color:green;">[time_birth]</mark></p></td><td>Time</td><td>Время поздравления</td></tr><tr><td><p>response</p><p><mark style="color:blue;">.base</mark></p><p><mark style="color:green;">[local_time_birth]</mark></p></td><td>String</td><td>Считать время поздравления относительно местного времени абонента(<strong><code>yes</code></strong>) или относительно времени системы (<strong><code>no</code></strong>)</td></tr><tr><td><p>response</p><p><mark style="color:blue;">.base</mark></p><p><mark style="color:green;">[day_before]</mark></p></td><td>Int</td><td>За сколько дней до дня рождения поздравлять</td></tr><tr><td><p>response</p><p><mark style="color:blue;">.base</mark></p><p><mark style="color:green;">[originator_birth]</mark></p></td><td>String</td><td>Отправитель поздравления</td></tr><tr><td><p>response</p><p><mark style="color:blue;">.base</mark></p><p><mark style="color:green;">[on_birth]</mark></p></td><td>String</td><td><p>Включены ли поздравления:</p><ul><li>yes – включены </li><li>no - выключены</li></ul></td></tr></tbody></table>

### &#x20;В случае возникновения ошибки в отправленном XML-документе

```xml
<?xml version="1.0" encoding="utf-8"?>
<response>
     <error>Текст ошибки</error>
</response>
```

<table><thead><tr><th width="197.66666666666666">Параметр</th><th width="121">Тип</th><th>Описание</th></tr></thead><tbody><tr><td><p>response</p><p><mark style="color:blue;">.error</mark></p></td><td>String</td><td><p>Текст ошибки может принимать следующие значения:</p><ul><li>Неправильный формат XML документа </li><li>Ваш аккаунт заблокирован</li><li>Неправильный логин или пароль</li><li>POST данные отсутствуют</li></ul></td></tr></tbody></table>

### &#x20;Пример XML запроса

```xml
<?xml  version="1.0" encoding="utf-8" ?>
<request>
   <security>
      <login value="логин" />
      <password value="пароль" />
   </security>
</request>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.webcom.mobi/ru/poluchenie-spiska-baz.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
